Package org.springframework.http.server.reactive

# Interface HttpHandlerDecoratorFactory

All Superinterfaces:
  `Function<HttpHandler,HttpHandler>`

public interface HttpHandlerDecoratorFactory extends Function<HttpHandler,HttpHandler>
Contract for applying a decorator to an `HttpHandler`.

Since:
  5.3.4
Author:
  Christophe Maillard

## Method Summary

### Methods inherited from interface java.util.function.Function

`andThen, apply, compose`